summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2011-02-06 01:54:24 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-06 01:54:24 -0600
commit981ba864e34590448f92ef03ec2ad79d2d8b449b (patch)
tree3b8d6646048513fecf9c5b2eb642a4892177ddab /audio
parent6faaca54354e189633525628fc929198032c584f (diff)
downloadslackbuilds-981ba864e34590448f92ef03ec2ad79d2d8b449b.tar.gz
slackbuilds-981ba864e34590448f92ef03ec2ad79d2d8b449b.tar.xz
audio/alsamixergui: Added (graphical soundcard mixer for ALSA)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/alsamixergui/README4
-rw-r--r--audio/alsamixergui/alsamixergui.SlackBuild90
-rw-r--r--audio/alsamixergui/alsamixergui.info12
-rw-r--r--audio/alsamixergui/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/audio/alsamixergui/README b/audio/alsamixergui/README
new file mode 100644
index 0000000000..f079124f4d
--- /dev/null
+++ b/audio/alsamixergui/README
@@ -0,0 +1,4 @@
+alsamixergui is an FLTK based mixer program for use with ALSA.
+It supports multiple soundcards with multiple devices.
+
+This requires FLTK.
diff --git a/audio/alsamixergui/alsamixergui.SlackBuild b/audio/alsamixergui/alsamixergui.SlackBuild
new file mode 100644
index 0000000000..23274c5ddb
--- /dev/null
+++ b/audio/alsamixergui/alsamixergui.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for alsamixergui
+
+# Copyright 2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=alsamixergui
+VERSION=0.9.0rc2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}-1.orig
+tar xvf $CWD/${PRGNAM}_${VERSION}-1.orig.tar.gz
+cd ${PRGNAM}-${VERSION}-1.orig
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix autotools and broken FLTK detection:
+zcat $CWD/alsamixergui_0.9.0rc2-1-9.diff.gz | patch -p1
+chmod +x configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/alsamixergui/alsamixergui.info b/audio/alsamixergui/alsamixergui.info
new file mode 100644
index 0000000000..f54101ec3c
--- /dev/null
+++ b/audio/alsamixergui/alsamixergui.info
@@ -0,0 +1,12 @@
+PRGNAM="alsamixergui"
+VERSION="0.9.0rc2"
+HOMEPAGE="http://packages.debian.org/source/sid/alsamixergui"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1.orig.tar.gz \
+ http://ftp.de.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1-9.diff.gz"
+MD5SUM="af942a41b81ba27e2e4d0a1e1ab0decb \
+ bb6874d67bb67dee87b8b50d9543bfe2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/audio/alsamixergui/slack-desc b/audio/alsamixergui/slack-desc
new file mode 100644
index 0000000000..b65e592d6b
--- /dev/null
+++ b/audio/alsamixergui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+alsamixergui: alsamixergui (graphical soundcard mixer for ALSA)
+alsamixergui:
+alsamixergui: alsamixergui is an FLTK based mixer program for use with ALSA.
+alsamixergui: It supports multiple soundcards with multiple devices.
+alsamixergui:
+alsamixergui:
+alsamixergui:
+alsamixergui:
+alsamixergui:
+alsamixergui:
+alsamixergui: